Bug 832884 - using rd.live.overlay.reset only works after a second reboot
using rd.live.overlay.reset only works after a second reboot
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 03:01 EDT by Christian Lupien
Modified: 2012-12-20 11:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:07:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Physically write overlay reset at time of request. (986 bytes, patch)
2012-08-30 20:07 EDT, Frederick Grose
no flags Details | Diff

  None (edit)
Description Christian Lupien 2012-06-18 03:01:14 EDT
Description of problem:

When resetting a live overlay with the kernel parameter
rd.live.overlay.reset
the effect only shows up the next boot.

Version-Release number of selected component (if applicable):

This was tested on the Fedora 17 live i686, but I think it happens for many other and older versions.


How reproducible:
All the time.

Steps to Reproduce:
1. Install a Fedora live on a usb key. Boot from it.
2. Create permanent new files (touch test.txt in terminal for example)
3. Reboot. Add the rd.live.overlay.reset kernel boot parameter for this reboot.
4. Check that the previously created file is still there (it should not be).
5. Reboot with the default boot paramter.
6. Check that the overlay has now been reset (the previously created file has disappeared.)
  
Actual results:
The overlay is reset by step 6.

Expected results:
Expected the overlay to have been reset by step 4.


Additional info:
I tried ti understand the problem by looking at 
 /usr/share/dracut/modules.d/90dmsquash-live/dmsquash-live-root
but I could not figure the problem.

If I zero the first 64k of the overlay file myself before a boot, it is properly reset during boot.

So my only guess is that dd is buffered in a way that is bypassed by dmsetup.
This would be either a kernel bug or the script might be designed differently or require a sync.
Comment 1 Frederick Grose 2012-08-30 20:07:36 EDT
Created attachment 608335 [details]
Physically write overlay reset at time of request.

Tested to work in Fedora 17 x86_64 Live Desktop.
Comment 2 Harald Hoyer 2012-09-06 05:33:40 EDT
upstream commit 0db77f5a2b32ed0bc3587fa54bc078e286f16947
Comment 3 Fedora Update System 2012-09-27 06:22:36 EDT
dracut-018-60.git20120927.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/dracut-018-60.git20120927.fc16
Comment 4 Fedora Update System 2012-09-27 06:23:36 EDT
dracut-018-105.git20120927.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dracut-018-105.git20120927.fc17
Comment 5 Fedora Update System 2012-09-27 06:31:04 EDT
dracut-018-105.git20120927.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dracut-018-105.git20120927.fc17
Comment 6 Fedora Update System 2012-09-28 04:20:46 EDT
Package dracut-018-105.git20120927.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dracut-018-105.git20120927.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14953/dracut-018-105.git20120927.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-12-20 11:07:04 EST
dracut-018-105.git20120927.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.